Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511502 - set_network_adapter method erroring out with undefined method `[]' for nil:NilClass')]
Summary: set_network_adapter method erroring out with undefined method `[]' for nil:Ni...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: All
OS: Linux
high
medium
Target Milestone: GA
: 5.8.3
Assignee: Greg McCullough
QA Contact: Alex Newman
URL:
Whiteboard:
Depends On: 1508069
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 13:29 UTC by Satoe Imaishi
Modified: 2018-02-28 13:08 UTC (History)
9 users (show)

Fixed In Version: 5.8.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1508069
Environment:
Last Closed: 2018-02-28 13:08:18 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-11-14 14:13:47 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/fine:
https://github.com/ManageIQ/manageiq-providers-vmware/commit/b58eef51fb5dca864dea82efcd07606b892dc48d

commit b58eef51fb5dca864dea82efcd07606b892dc48d
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Nov 8 14:41:07 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 14 09:11:51 2017 -0500

    Merge pull request #132 from gmcculloug/normalize_network_adapter
    
    Properly update network hash when the first array element is nil
    (cherry picked from commit 9d93a0dd7242405220c5ea11bbaa3e043d571ae2)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511502

 .../provision/configuration/network.rb             | 40 ++++++++++------
 .../provision/configuration/network_spec.rb        | 55 ++++++++++++++++++++++
 2 files changed, 81 insertions(+), 14 deletions(-)
 create mode 100644 spec/models/manageiq/providers/vmware/infra_manager/provision/configuration/network_spec.rb

Comment 5 errata-xmlrpc 2018-02-28 13:08:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.